@media (min-width: 1200px) {
    .footer-box>.row {
        justify-content: center;
    } 
    .bar-menu {
        position: static;
        margin: 20px 0;
    }

    .bg-sec2 {
        height: auto;
        margin-bottom: 20px;
    }

    .bg-sec3 {
        height: auto;
        padding: 20px 0;
    }
    .menu-navbar {
        flex-wrap: wrap;
    }

    .menu-navbar ul {
        justify-content: center;
    }

    .Menu1 {
        flex-direction: column;
        position: static;
        height: auto;
    }

    .s1-1, .s2-1 {
        flex-direction: column;
    }

    .demi {
        width: 100%;
    }
    .hamburger-menu {
        position: absolute;
        width: 0;
    }
}
@media (max-width: 1200px) {
    .container {
        width: 90%;
    }

    .hamburger-menu {
        position: absolute;
        width: 0;
    }

/* Section 1 */
    .bg-sec1 {
        flex-direction: column;
        height: auto;
        padding: 20px 0;
    }

    .s1-b1, .s1-b1.demi {
        width: 90%;
        margin: 0 auto;
        align-items: flex-start;
    }

    .s1-b1 img {
        max-width: 100%;
        height: auto;
        margin-top: 20px;
    }

    .t-sec1 h1 {
        font-size: 2.5em;
    }

    .s1-b1 .btn {
        width: 30%;
        margin: 20px;
    }


/* Section 2 */

    .bar-menu {
        position: static;
        margin: 20px 0;
        height: auto;
    }
    .bg-sec2 {
        height: auto;
        margin-bottom: 20px;
    }

    .menu-navbar {
        flex-wrap: wrap;
    }

    .menu-navbar ul {
        justify-content: center;
    }

    .box-menu {
        flex-direction: column;
        position: static;
        height: auto;
    }

    .s1-1, .s2-1 {
        flex-direction: column;
    }

    .demi {
        width: 100%;
    }

/* Section 3  */
    .bg-sec3 {
        height: auto;
        flex-direction: column;
    }

    .l-box-s3, .r-box-s3 {
        width: 100%;
        margin: 20px 0;
    }

    .S-box, .S-ingr {
        grid-template-columns: repeat(3, 1fr);
    }

/* Section 4-7 */
    .bg-sec4, .box-sec5, .bg-sec6, .bg-sec7 {
        height: auto;
        padding: 20px 0;
    }

    .box-sec4 {
        flex-direction: column;
        align-items: center;
    }

    .l-sec4, .r-sec4 {
        display: flex;
        align-items: center;
        text-align: center;
        width: 50%;
        margin: 10px 0;
    }

    .dot-sec4 {
        visibility: hidden;
    }

    .box-avis {
        margin-bottom: 20px;
    }

    .box-avis p {
        margin-bottom: 10px;
    }

    .img-pizza-bg{
        visibility: hidden;
    }

    /* Footer */
    .footer-box {
        flex-direction: column;
        text-align: center;
    }

    .box-footer {
        margin: 15px 0;
        padding: 0 20px;
    }
    .footer-box>.row {
        justify-content: center;
    } 
    .box-footer>p {
        width: 50%;
    }

    /* IMG */
    .s1-b1>.t-sec1,  .s1-b1>p {
        width: 70%;
    } 

    .s1-b2  {
        height: auto;
        width: 50%;
    }
}

/* Mobile  */
@media (max-width: 768px) {
    body {
        font-size: 14px;
    }

    .container {
        width: 95%;
    }

    .s1-b1, .s1-b1.demi {
        align-items: center;
        text-align: center;
        width: 60%;
    }
    .s1-b1>.t-sec1 {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        justify-content: center;
    }
    
    .bg-sec2 {
        height: auto;
        margin-bottom: 20px;
    }

    .navbar ul {
        align-items: center;
    }
    
    .navbar li {
        margin: 10px 0;
    }
    
    .reservation-form>.row {
        flex-direction: column;
    }

    .reservation-form input {
        display: flex;
        align-items: center;
        width: auto;
        margin-right: 0;
    }

    .header-box>.space-header>a {
        display: flex;
        align-items: center;
    }

    .S-box, .S-ingr {
        grid-template-columns: repeat(4, 1fr);
        width: auto;
    }

    .boxImg {
        width: 60px;
        height: 60px;
    }
    
    .s1-1>.row {
        flex-direction: column;
    }
    .s1-b1 .btn {
        width: 30%;
    }
    

    h1 {
        font-size: 1.8em;
    }

    h2 {
        font-size: 1.3em;
    }

    .l-box-sec6 {
        justify-content: center;
        align-items: center;
        width: auto;
        margin-right: -5%;
    }

    .bg-sec3>.row {
        flex-direction: column;
    }
    
    .l-box-s3{
        align-items: center;
    }

    .S-rarity {
        align-items: center;
        width: 70%;
    }

    .box-sec7>.row {
        flex-direction: column;
    }
    .box-profil {
        margin-top: 1%;
        margin-bottom: 5%;
    }

    .boxImg:hover {
        width: 75px;
        height: 75px;
        border: 1.5px solid rgb(250, 142, 53);
    }

    .confirm-mypizza a {
        padding: 10px;
        font-size: 0.9em;
        margin: 10% 2% 0% 0%;
    }
    .footer-box>.row {
        flex-direction: column;
    }
/* Images */
    img {
        max-width: 100%;
        height: auto;
    }

    .bg-img-profil {
        width: 60px;
        height: 60px;
    }

    .box-sec6-img img{
        visibility: hidden;
        width: 0;
    }

    .s1-b2 {
        width: 0;
    }

    .s1-b2 img{
        visibility: hidden;
    }

}

@media (max-width: 512px) {
    body, html {
        overflow-x: hidden;
        max-width: 100%;
    }

    .mobile-menu, .mobile-menu-sec2 {
        left: -100%;
        width: 100vw; 
        margin: 0;
        padding: 20px;
        box-sizing: border-box;
    }

    .mobile-menu.open, .mobile-menu.open-sec2 {
        left: 0;
    }
    .l-box-sec6 {
        margin-right: -5%;
    }
}

@media (max-width: 480px) {
    body {
        font-size: 12px;
    }

    .S-box, .S-ingr {
        grid-template-columns: repeat(2, 1fr);
        width: auto;
    }

    .l-box-s3>h2, .box-sec5>h3 {
        text-align: center;
    }

    .boxImg {
        width: 75px;
        height: 75px;
    }

    .t-sec1 h1 {
        font-size: 4em;
    }

    .t-sec1 h2 {
        font-size: 2em;
    }
    .confirm-mypizza a {
        padding: 15px;
        font-size: 1.2em;
        margin: 10% 2% 0% 0%;
    }

    .box-footer {
        padding: 0 10px;
    }

    .s1-b1 {
        align-items: center;
        justify-content: center;
    }
    .s1-b1 .btn {
        width: 70%;
        margin: 20px;
    }

    .S-rarity, .line-r, .info-r, .cs-pos1, .cs-pos2, .cs-pos3 {
        visibility: hidden;
        width: 0;
        height: 0;
    }
    .l-box-sec6 {
        margin-right: -5%;
    }
    /* BARRE RARETE
    .S-rarity {
        flex-direction: row;
    }
    .line-r {
        transform: rotate(90deg);
        margin: 0 ;
    }

    .info-r {
        flex-direction: column;
        height: 150px;
    }
 */

}


@media (max-width: 320px) {
    .confirm-mypizza {
        margin-top: 5%;
        flex-direction: column;
    }
    .l-box-sec6 {
        margin-right: -5%;
    }
    .contact-btn {
        width: 95%;
    }
    .contact-form input, .contact-form textarea {
        justify-content: center;
        align-items: center;
        width: 85%;
    }

    .reservation-form input, .reservation-form textarea {
        justify-content: center;
        align-items: center;
        width: 90%;

    }

    .find-table-btn {
        font-size: 10px;
        width: 100%;

    }

}